Bug 91536 - gnome-terminal does not handle -e parameter correctly
Summary: gnome-terminal does not handle -e parameter correctly
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-terminal   
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-23 21:20 UTC by Matthew Bellew
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-30 04:34:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Bellew 2003-05-23 21:20:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
  xterm -e view /etc/rc

will open a new window running vi on the given file

  gnome-terminal -e view /etc/rc 
 
will return:
  Invalid argument: "/etc/rc"

xterm is consistent with man xterm, while gnome-terminal is not

Version-Release number of selected component (if applicable):
gnome-terminal-2.2.1-3

How reproducible:
Always

Steps to Reproduce:
1. gnome-terminal -e view /etc/rc

Actual Results:  Invalid argument: "/etc/rc"

Expected Results:  new terminal session

Additional info:

Comment 1 Matthew Bellew 2003-05-23 21:30:36 UTC
Likewise -T is not compatible

works: xterm -T "vi" -e vi 
fails: gnome-terminal -T "vi" -e vi

Comment 2 Havoc Pennington 2003-05-30 04:34:43 UTC
xterm command line arg compatibility isn't a goal; gnome-terminal is compatible
with itself (more or less) going back a few years, and it would be bad to break
that.

From gnome-terminal --help:

  -e, --command=STRING                            Execute the argument to this
                                                  option inside the terminal.
  -x, --execute                                   Execute the remainder of the
                                                  command line inside the
                                                  terminal.

The options behave as specified there, -x does what you are expecting.
gnome-terminal doesn't have a -T option, it has -t and --title instead.


Note You need to log in before you can comment on or make changes to this bug.